Skip to main content
GET
/
v1
/
admin
/
connector-providers
List connector providers
curl --request GET \
  --url https://api.withsplendor.com/v1/admin/connector-providers \
  --header 'Authorization: Bearer <token>' \
  --header 'x-splendor-tenant-id: <x-splendor-tenant-id>'
{
  "providers": [
    {
      "airbyte_source_definition_name": "Stripe",
      "auth_mode": "oauth",
      "default_format": "jsonl",
      "default_streams": [
        "charges",
        "invoices"
      ],
      "name": "Stripe",
      "oauth_mode": "airbyte_or_splendor",
      "provider_key": "stripe",
      "semantic_document_fields": [],
      "semantic_vocabulary_fields": [],
      "source_type": "airbyte"
    }
  ]
}

Authorizations

Authorization
string
header
required

API token issued from the Splendor console.

Headers

x-splendor-tenant-id
string
required

Selects the tenant (workspace) the request acts within.

Response

Successful Response

providers
ConnectorProviderItem · object[]
required